Skip to main content
`Ctrl`+`K`

# PetscMallocSetHIPHost

Set `PetscMalloc()` to use `HIPHostMalloc()` Switch the current malloc and free routines to the HIP malloc and free routines

## Synopsis

    #include "petscsys.h"
    PETSC_EXTERN PetscErrorCode PetscMallocSetHIPHost(void)

Not Collective

## Note

This provides a way to use the HIP malloc and free routines temporarily. One can switch back to the previous choice by calling `PetscMallocResetHIPHost()`.

## See Also

`PetscMallocSetCUDAHost()`, `PetscMallocResetHIPHost()`

## Level

developer

## Location

src/sys/memory/hip/mhiphost.hip.cpp

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages